//=============================================================================
// AutoRocketFX.
//=============================================================================
class AutoRocketFX expands Effects;

function ExplodeLaser(Vector CollisionNormal)
{
	Spawn(class'AutoRocketFXEnd', self,, Location + Vector(Rotation) * 32, Rotator(CollisionNormal));

	Destroy();
}

function HitWall(Vector HitNormal, Actor Wall)
{
	ExplodeLaser(HitNormal);
}

function Touch(Actor Other)
{
	ExplodeLaser(Location - Other.Location);
}

function Landed(Vector Normal)
{
	HitWall(Normal, none);
}

defaultproperties
{
     DrawType=DT_Mesh
     Mesh=LodMesh'UnrealI.TracerM'
     LightType=LT_Steady
     LightBrightness=102
     LightHue=22
     LightSaturation=126
     LightRadius=20
}
