//=============================================================================
// BlastBurster.
//=============================================================================
class BlastBurster expands Effects;

var 	int 				BurstCount;
var()	int					NumBursts;	
var()	float				BurstInterval;
var()	float				OffThrowRandom;
var()	float				ZSpeed;
var()	class<BurstTrail>	TrailType;

simulated function PostBeginPlay()
{
	SetTimer(BurstInterval, false);	
}

simulated function Timer()
{
	local BlastBurstTrail BBQ_KFC;

	BBQ_KFC = Spawn(class'BlastBurstTrail', self);
	BBQ_KFC.TrailScale = 1.0;
	BBQ_KFC.DrawScale = DrawScale;
	BBQ_KFC.OffThrowRandom = OffThrowRandom;
	BBQ_KFC.ZSpeed = ZSpeed;

	BurstCount++;

	if ( BurstCount <= NumBursts )
		SetTimer(BurstInterval, false);	
}

defaultproperties
{
}
