class MushMatchScoreBoard extends TournamentScoreBoard;

simulated function DrawNameAndPing(Canvas Canvas, PlayerReplicationInfo PRI, float XOffset, float YOffset, bool bCompressed)
{
	local float XL, YL, XL2, YL2, XL3, YL3;
	
	Super.DrawNameAndPing(Canvas, PRI, XOffset, YOffset, bCompressed);
	
	if ( !bCompressed )
	{
		Canvas.StrLen( "0000000000000000", XL, YL );

		Canvas.StrLen( MushMatchMutator(Level.Game.BaseMutator).TeamText(PRI, PlayerPawn(Owner)), XL2, YL );
		Canvas.SetPos( Canvas.ClipX * 0.825 + XL * 0.5 - XL2, YOffset );
		Canvas.DrawText( MushMatchMutator(Level.Game.BaseMutator).TeamText(PRI, PlayerPawn(Owner)), false );
	}
}

defaultproperties
{
}
