//=============================================================================
// VolumeActors.
//=============================================================================
class VolumeActors expands Info;

var	Actor			ThisActor;
var	VolumeActors	Previous;
var	VolumeActors	Next;

function SetupBeginPlay();

function Remove(optional bool bNoDestroy)
{
	if ( Previous != None && Next != None )
	{
		Previous.Next = Next;
		Next.Previous = Previous;
	}
	
	if ( !bNoDestroy )
		Destroy();
}

function int AddActor(Actor Other)
{
	local VolumeActors VA;
	
	for ( VA = self; VA.Next != None; VA = VA.Next )
		continue;

	VA.Next = Spawn(class'VolumeActors', Owner);
	VA.Next.ThisActor = Other;
	Va.Next.Previous = VA;
}

auto state Inactive {}

state Active {}

defaultproperties
{
}
