//=============================================================================
// AttachRocketBlast.
//=============================================================================
class AttachRocketBlast expands SpriteBallExplosion;

var()	int	NumBlasts;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	Spawn(class'BlastBurster', self);
}

simulated Function Timer()
{	
	local BlackSmoke b; 
	local vector TempVect;


	ExpCount++;
	if (FRand()<0.4)
	{
		TempVect.X = (FRand()-0.5)*80.0;
		TempVect.Y = (FRand()-0.5)*80.0;
		TempVect.Z = (FRand()-0.5)*80.0;				
		Spawn(class'SpriteBallChild',Self, '', Location+TempVect);
	}
	
	if (FRand()<0.3)
	{
		TempVect.X = (FRand()-0.5)*60.0;
		TempVect.Y = (FRand()-0.5)*60.0;
		TempVect.Z = (FRand()-0.5)*60.0;		
		b = Spawn(class'BlackSmoke',Self, '', Location+TempVect);
		b.DrawScale = FRand()*2.0+3.5*DrawScale;
	}
	
	if (ExpCount<=NumBlasts) SetTimer(0.05+FRand()*0.05,False);	
	else Destroy();
}

defaultproperties
{
     NumBlasts=6
}
