//=============================================================================
// AutoRocketGun.
//=============================================================================
class AutoRocketGun expands minigun2;

var()	float	ShootDistance;
var()	Vector	FireError;

function TraceFire(float Accuracy)
{
	Spawn(ProjectileClass, self, '', Pawn(Owner).Location + Normal(Vector(Pawn(Owner).ViewRotation)) * (Owner.CollisionRadius + ProjectileClass.default.CollisionRadius + ShootDistance) + FireOffset + VRand() * Accuracy, Rotator(Vector(Pawn(Owner).ViewRotation) + VRand() * FireError));
}

defaultproperties
{
     ShootDistance=10.000000
     FireError=(X=0.200000,Y=0.200000,Z=0.200000)
     bInstantHit=False
     bAltInstantHit=False
     FiringSpeed=8.000000
     ProjectileClass=Class'GusPackII.AutoRocket'
     AltProjectileClass=Class'GusPackII.AutoRocket'
     DeathMessage="%k blew %o into pieces! And they are still seeked!"
     PickupMessage="You got the Super Auto-Rocket Gun!"
     ItemName="Super Auto-Rocket Gun"
}
