//=============================================================================
// GNearestSaddle.
//
// Makes the nearest pawn Saddleable.
//=============================================================================
class GNearestSaddle expands GSaddlePawn;

simulated function PostBeginPlay()
{
	local Pawn C;

	foreach AllActors(class'Pawn', C)
		if ( ( Riding == None || VSize(C.Location - Location) < VSize(Riding.Location) ) && C != Owner )
			Riding = C;

	if ( Riding == None )
	{
		Destroy();

		return;
	}
	
	Log("Got new ride:"@Riding);

	NormalRidePosition *= Riding.CollisionRadius;
	ActualRideHeight *= Riding.CollisionHeight;
	MinRideHeight *= Riding.CollisionHeight;
	MaxRideHeight *= Riding.CollisionHeight;
	
	SetTimer(0.1, true);
}

defaultproperties
{
}
