//=============================================================================
// SnipingAutoRocket.
//=============================================================================
class SnipingAutoRocket expands SniperRifle;

var()	float	ShootDistance, ProjSpeedFactor;
var()	Vector	FireError;

function TraceFire(float Accuracy)
{
	local Projectile P;

	Log("Spawning autorocket at:"@Pawn(Owner).Location + Normal(Vector(Pawn(Owner).ViewRotation)) * (Owner.CollisionRadius + ProjectileClass.default.CollisionRadius + ShootDistance) + FireOffset + VRand() * FireError);

	P = Spawn(ProjectileClass, self, '', Pawn(Owner).Location + Normal(Vector(Pawn(Owner).ViewRotation)) * (Owner.CollisionRadius + ProjectileClass.default.CollisionRadius + ShootDistance) + FireOffset + VRand() * Accuracy, Rotator(Vector(Pawn(Owner).ViewRotation) + VRand() * FireError));

	P.speed *= ProjSpeedFactor;
	P.Velocity *= ProjSpeedFactor;
}

defaultproperties
{
     ShootDistance=32.000000
     ProjSpeedFactor=4.250000
     FireError=(X=0.012500,Y=0.012500,Z=0.012500)
     FiringSpeed=0.400000
     ProjectileClass=Class'GusPackII.AutoRocket'
}
