//=============================================================================
// VolAutoRocketGun.
//=============================================================================
class VolAutoRocketGun expands AutoRocketGun;

var()	Float	VolatilizingDistance, VolatilizingRate;
var		int		i;
var		Vector	R;

state Pickup
{
	function BeginState()
	{	
		GoToState('Volatilizing');
	}
}

state Volatilizing
{
	ignores Landed, Touch;

	function Timer()
	{
		if ( i > 0 )
		{
			R = VRand();
	
			Spawn(ProjectileClass, Owner, '', self.Location + R * (ProjectileClass.default.CollisionRadius + Owner.CollisionRadius + VolatilizingDistance), Rotator(R));

			i--;
		}

		else Destroy();
	}

Begin:
	SetPhysics(PHYS_None);
	bHidden = true;
	i = PickupAmmoCount;

	SetTimer((1.0 / VolatilizingRate) / float(PickupAmmoCount), true);
}

defaultproperties
{
     VolatilizingDistance=32.000000
     VolatilizingRate=10.000000
}
